
Auto Multiple Choice - Bug # 549: Erreur xelatex invalid epoch-seconds-timezone value for 
environment variable $SOURCE_DATE_EPOCH: .

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 04/05/2018 Assignee:
Updated: 04/06/2018 Due date:
Description: Sous macOS 10.13.4 (MacPorts 2.4.2, Xcode 9.3), le build d'AMC commit gitlab c96ff320 échoue lors de la 

génération de la doc avec une erreur.
<pre>
xelatex: fatal: invalid epoch-seconds-timezone value for environment variable $SOURCE_DATE_EPOCH: .
</pre>

(ligne 6043 du journal joint).

Quelques lignes au dessus (6035) il y a un message d'info dblatex.
<pre>
Image 'tiger' not found
</pre>
Mais bon, ce dernier message est là depuis quelques années je crois.

History
04/05/2018 03:37 pm - Joël Brogniart
Je crois que le problème est situé dans le fichier _local/versions.pl_

La ligne suivante (ligne 56) ne fonctionne pas sous macOS.
<pre>
    $k{epoch}=`date +%s -d "$2-$3-$4"`;
</pre>

L'équivalent sous macOS serait

<pre>
    $k{epoch}=`date -j -f "%Y%m%d" "$2$3$4" "+%s"`;
</pre>

04/05/2018 03:57 pm - Joël Brogniart
En fait il y a un autre problème avec _local/versions.pl_.

Lorsqu'on n'utilise pas un checkout git, lorsqu'on télécharge directement une archive comme par exemple avec 
https://gitlab.com/jojo_boulix/auto-multiple-choice/repository/archive.tar.gz?ref=c96ff3204a64453edbafc6c28a85803a661a3304, l'archive ne contient 
pas les informations git et le code de la ligne 44
<pre>
$s=`git rev-parse --short HEAD`;
</pre>
échoue avec une erreur
<pre>
fatal: Not a git repository (or any of the parent directories): .git
</pre>
Ce qui fait que toutes les valeurs dans _Makefile.versions_ sont les valeurs par défaut.

04/06/2018 04:18 pm - Alexis Bienvenüe

04/26/2024 1/2



- Status changed from New to Feedback

J'ai remplacé l'appel à @date@! par des fonctions perl pour résoudre ce problème. Voir git:5fc421e.
> Lorsqu'on n'utilise pas un checkout git, lorsqu'on télécharge directement une archive, l'archive ne contient pas les informations git
C'est normal.
> échoue avec une erreur
bon ça ce n'est pas normal : réparé.

04/06/2018 07:34 pm - Joël Brogniart
Parfait, le build et l'installation fonctionnent à nouveau. Merci.

04/06/2018 07:56 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Merci pour le rapport !
